#!/bin/sh
# autopkgtest check: Build and run a program against glib, to verify that the
# headers and pkg-config file are installed correctly
# (C) 2012 Jose Luis Rivero
# Author: Jose Luis Rivero <jrivero@osrfoundation.org>

set -e

WORKDIR=$(mktemp -d)
trap "rm -rf $WORKDIR" 0 INT QUIT ABRT PIPE TERM
cd $WORKDIR
cat <<EOF > fcltest.c
#include <fcl/math/triangle.h>

int main()
{
    fcl::Triangle triangle;
    return 0;
}
EOF

g++ -o fcltest fcltest.c $(pkg-config --cflags --libs fcl)
echo "build: OK"
[ -x fcltest ]
./fcltest
echo "run: OK"
